# Uses of Interface
org.apache.cxf.transport.MessageObserver

Packages that use MessageObserver
Package
Description
org.apache.cxf.endpoint
org.apache.cxf.interceptor
org.apache.cxf.phase
org.apache.cxf.transport

- ## Uses of MessageObserver in org.apache.cxf.endpoint

  Subinterfaces of MessageObserver in org.apache.cxf.endpoint
  Modifier and Type
  Interface
  Description
  `interface`
  `Client`
  Classes in org.apache.cxf.endpoint that implement MessageObserver
  Modifier and Type
  Class
  Description
  `class`
  `ClientImpl`
  Methods in org.apache.cxf.endpoint that return MessageObserver
  Modifier and Type
  Method
  Description
  `MessageObserver`
  Endpoint.`getInFaultObserver()`
  `MessageObserver`
  EndpointImpl.`getInFaultObserver()`
  `MessageObserver`
  Endpoint.`getOutFaultObserver()`
  `MessageObserver`
  EndpointImpl.`getOutFaultObserver()`
  Methods in org.apache.cxf.endpoint with parameters of type MessageObserver
  Modifier and Type
  Method
  Description
  `void`
  Endpoint.`setInFaultObserver(MessageObserver observer)`
  `void`
  EndpointImpl.`setInFaultObserver(MessageObserver observer)`
  `void`
  Endpoint.`setOutFaultObserver(MessageObserver observer)`
  `void`
  EndpointImpl.`setOutFaultObserver(MessageObserver observer)`

- ## Uses of MessageObserver in org.apache.cxf.interceptor

  Classes in org.apache.cxf.interceptor that implement MessageObserver
  Modifier and Type
  Class
  Description
  `class`
  `AbstractFaultChainInitiatorObserver`
  `class`
  `ClientOutFaultObserver`
  `class`
  `InFaultChainInitiatorObserver`
  `class`
  `OutFaultChainInitiatorObserver`
  Methods in org.apache.cxf.interceptor that return MessageObserver
  Modifier and Type
  Method
  Description
  `MessageObserver`
  InterceptorChain.`getFaultObserver()`
  Methods in org.apache.cxf.interceptor with parameters of type MessageObserver
  Modifier and Type
  Method
  Description
  `void`
  InterceptorChain.`setFaultObserver(MessageObserver i)`

- ## Uses of MessageObserver in org.apache.cxf.phase

  Methods in org.apache.cxf.phase that return MessageObserver
  Modifier and Type
  Method
  Description
  `MessageObserver`
  PhaseInterceptorChain.`getFaultObserver()`
  Methods in org.apache.cxf.phase with parameters of type MessageObserver
  Modifier and Type
  Method
  Description
  `void`
  PhaseInterceptorChain.`setFaultObserver(MessageObserver faultObserver)`

- ## Uses of MessageObserver in org.apache.cxf.transport

  Classes in org.apache.cxf.transport that implement MessageObserver
  Modifier and Type
  Class
  Description
  `class`
  `ChainInitiationObserver`
  `class`
  `MultipleEndpointObserver`
  This MessageObserver creates an Interceptor chain which adds in the interceptors set on this class and the global Bus interceptors.
  Fields in org.apache.cxf.transport declared as MessageObserver
  Modifier and Type
  Field
  Description
  `protected MessageObserver`
  AbstractObservable.`incomingObserver`
  Methods in org.apache.cxf.transport that return MessageObserver
  Modifier and Type
  Method
  Description
  `MessageObserver`
  AbstractObservable.`getMessageObserver()`
  `MessageObserver`
  Destination.`getMessageObserver()`
  `MessageObserver`
  Observable.`getMessageObserver()`
  Retrieves the message observer for incoming messages
  Methods in org.apache.cxf.transport with parameters of type MessageObserver
  Modifier and Type
  Method
  Description
  `void`
  AbstractDestination.AbstractBackChannelConduit.`setMessageObserver(MessageObserver observer)`
  Register a message observer for incoming messages.
  `void`
  AbstractObservable.`setMessageObserver(MessageObserver observer)`
  Register a message observer for incoming messages.
  `void`
  Observable.`setMessageObserver(MessageObserver observer)`
  Register a message observer for incoming messages.